.product-wrap h2.title {
  margin: 75px auto;
  font-size: 30px;
  font-weight: 400;
  color: #343A42;
  max-width: 840px;
  font-family: "Marcellus", serif;
  letter-spacing: -0.3px;
  line-height: 40px;
}

.product-wrap .before-shop-loop .container {
  border-top: 1px solid #D6DCE1;
  border-bottom: 1px solid #D6DCE1;
  padding: 20px 5px;
  margin-bottom: 100px;
}

.product-wrap .before-shop-loop p {
  font-size: 16px;
  color: #6B7280;
  font-weight: 500;
  font-family: "Urbanist", sans-serif;
}

.product-wrap .before-shop-loop p,
.product-wrap .before-shop-loop .woocommerce-ordering {
  margin: 0 !important;
}

.product-item a {
  text-decoration: none;
}

.product-item a h3,
.product-item h2,
.product-wrap .wc-block-grid__product-title {
  color: #343A42;
  font-size: 24px;
  font-weight: 500;
  font-family: "Urbanist", sans-serif;
  text-decoration: none;
  transition: color 0.5s ease;
}

.product-wrap .wc-block-grid__product-title {
  display: inline-block;
}

.product-item a {
  text-decoration: none;
}

.product-wrap .wc-block-grid__product-link {
  text-decoration: none;
}

.product-wrap h3.entry-title {
  max-width: 247px;
  margin: 0 auto;
}
.product-wrap .product_item a .single-product-wrap img {
  transition: transform 0.3s ease;
  overflow: hidden;
}
.product-wrap .product_item a .single-product-wrap img:hover {
  opacity: 0.8;
  transform: translate(0 , -10px);
}

.product-item a h3:hover,
.product-wrap .wc-block-grid__product-title:hover {
  color: #07a752;
}

.woocommerce .star-rating,
.woocommerce .star-rating span {
  float: none !important;
}

.product-wrap .price {
  color: #3AAC4C;
  font-size: 18px;
  font-weight: 600 !important;
  font-family: "Urbanist", sans-serif;
  text-decoration: none;
  letter-spacing: 1px;
  margin: 10px 0 20px;
  display: inline-block;
}

.product-wrap .price del {
  color: #343A42;
  font-size: 17px;
  margin-right: 5px;
}

.product-wrap.wrap2 .price {
  padding-bottom: 1rem;
  padding-top: 1rem;
}

.product-wrap .info_section .logo_box {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #F5F6F7;
  border-radius: 15px;
  height: 160px;
}

.product-wrap .info_section p {
  color: #5A5F64;
  font-weight: 500;
  font-size: 18px;
  margin-left: 30px;
  margin-bottom: 0;
}

.product-wrap .info_section p span {
  color: #3AAC4C;
  font-weight: 700;
}

.product-wrap .add_to_cart_button,
.review .form-submit .submit,
.single_add_to_cart_button, 
.mega-menu .submenu .buy-now, 
.thank-you .wrapper-page button {
  border-radius: 10px !important;
  background-color: #FEB808 !important;
  padding: 15px 40px !important;
  color: #41341C !important;
  font-family: "Urbanist", sans-serif;
  font-size: 16px !important;
  font-weight: 600 !important;
  transition: all 0.5s ease;
  border-width: 0;
}
.mega-menu .submenu .buy-now {
  text-transform: capitalize;
  padding: 10px 25px !important;
  font-size: 15px !important;
}

.product-wrap .add_to_cart_button {
  padding: 15px 20px !important;
  white-space: nowrap;
}

.product-wrap .add_to_cart_button:hover,
.review .form-submit .submit:hover,
.single_add_to_cart_button:hover, 
.mega-menu .submenu .buy-now:hover, 
.thank-you .wrapper-page button:hover {
  background-color: #dc9e03 !important;
  color: rgb(0, 0, 0) !important
}

.single_add_to_cart_button {
  margin-left: 20px;
}

.product-wrap.wrap2 .wc-block-grid__product-image img,
.product-item .product img {
  width: 160px;
  height: 160px;
  object-fit: fill;
}

.product-wrap.wrap2 .wc-block-grid__product-onsale {
  background-color: transparent;
  border: 0;
}

.product-wrap.wrap2 .wp-block-heading {
  color: #343A42;
  font-size: 30px;
  font-weight: 500;
  font-family: "Urbanist", sans-serif;
  margin-bottom: 50px;
}

.product-wrap.wrap2 .wp-block-heading:first-child {
  font-size: 20px;
}

.wc-block-grid__product .wc-block-grid__product-link, .wc-block-grid__product .wc-block-grid__product-image {
  display: block !important;
}

.product-wrap.wrap2 .wc-block-grid__product-onsale span {
  min-height: 3.236em;
  min-width: 3.236em;
  padding: .202em;
  font-size: 16px;
  font-weight: 700;
  position: absolute;
  text-align: center;
  line-height: 3.236;
  margin: 0;
  border-radius: 100%;
  background-color: #b3af54;
  color: #fff;
  font-size: .857em;
  z-index: 9;
  top: 0;
  left: -75px;
  box-sizing: content-box;
}

.product-wrap .product_item {
  margin-bottom: 100px;
}

.woocommerce span.onsale {
  top: 0.5em !important;
  left: 5em !important;
  box-sizing: content-box;
}

.product-wrap select.orderby {
  padding: 14px;
  border: 1px solid #D6D8DA;
  border-radius: 10px;
  color: #1F2937;
  font-size: 16px;
  font-weight: 500;
  font-family: "Urbanist", sans-serif;
}

.product-wrap .before-shop-loop .woocommerce-notices-wrapper {
  display: none;
}

.product-wrap .filter-text {
  margin-right: 12px;
  font-size: 16px;
  font-weight: 500;
  color: #1F2937;
  font-family: "Urbanist", sans-serif;
}

.product-wrap .filter-btn {
  border-radius: 10px;
  padding: 6px 20px;
  margin: 0 5px;
  font-weight: 500;
  font-size: 16px;
  color: #5A5F64;
  border: 1px solid #D0D3D5;
  text-decoration: none;
}

.product-wrap .inactive-btn.active-btn,
.product-wrap .inactive-btn:hover {
  background-color: #3AAC4C;
  color: white;
  border: none;
  border: 1px solid #D0D3D5;
}

.product-wrap .inactive-btn {
  background-color: white;
  color: #3b3b3b;
  transition: all 0.3s ease;
  white-space: nowrap;
}

.product-wrap .middle_wrap {
  padding: 50px 0 150px;
}

.upper-section {
  background-image: url('../static/images/buy_product.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 50px 80px 60px;
  text-align: center;
  position: relative;
  margin-bottom: 30px;
  border-radius: 10px;
  overflow: hidden;
  background-color: #F5F6F7;
}

.upper-section .title {
  color: #343A42;
  font-size: 47px;
  letter-spacing: -0.9px;
  font-weight: 400;
  font-family: "Marcellus", serif;
  margin: 0 auto 15px;
  max-width: 570px;
}

.upper-section .description {
  color: #5A5F64;
  font-size: 24px;
  line-height: 34px;
  font-weight: 500;
  font-family: "Urbanist", sans-serif;
  margin: 0 auto 45px;
  max-width: 490px;
}

.upper-section .quote-button {
  background-color: #3AAC4C;
  color: white;
  border-radius: 10px;
  padding: 16px 24px;
  font-size: 16px;
  font-weight: 600;
  font-family: "Urbanist", sans-serif;
  border: none;
  transition: background-color 0.3s ease;
}

.upper-section .quote-button:hover {
  background-color: #007c13;
}

.lower-section img {
  border-radius: 10px;
}

.lower-section .banner-img img {
  width: 100% !important;
}

.lower-section .text-content {
  background-color: #2F3842;
  color: white;
  padding: 60px 80px 0;
  height: 100%;
  border-radius: 10px;
}

.lower-section h5 {
  font-size: 30px;
  margin: 45px 0 20px;
  color: #fff;
  font-family: "Marcellus", serif;
  font-weight: 400;
}

.lower-section p {
  margin: 0;
  font-size: 20px;
  font-weight: 500;
  color: #BCC6CF;
  font-family: "Urbanist", sans-serif;
}

.lower-section .banner-img {
  width: 100%;
  border-radius: 10px;
}

.product-item .star-rating {
  margin: 15px auto;
}

.product-item .product .star-rating {
  margin: 0 auto 15px !important;
}

@media (max-width: 1199px) {
  .lower-section .text-content {
    padding: 25px 30px 0
  }

  .lower-section h5 {
    font-size: 25px;
    margin: 20px 0 15px;
  }

  .lower-section p {
    font-size: 16px;
  }

  .middle_wrap {
    padding-bottom: 80px;
  }

  .product-wrap.wrap2 .wp-block-heading {
    font-size: 24px;
  }

  .product-item a h3,
  .product-wrap .wc-block-grid__product-title {
    font-size: 20px;
  }

  .product-wrap.wrap2 .price {
    padding-bottom: 0.6rem;
    padding-top: 0.6rem;
  }
}

@media (max-width: 991px) {
  .upper-section {
    background-size: contain;
    background-position: bottom;
  }

  .product-wrap .info_section p {
    font-size: 16px;
    margin-left: 0;
  }
}

@media (max-width: 767px) {
  .upper-section {
    padding: 30px 15px;
    height: 300px;
  }

  .product-wrap.wrap2 .wp-block-heading {
    font-size: 18px;
  }

  .upper-section .title {
    font-size: 30px;
  }

  .upper-section .description {
    font-size: 18px;
    line-height: 22px;
    margin-bottom: 20px;
  }

  .upper-section img {
    top: auto;
  }

  .upper-section .quote-button {
    font-size: 14px;
  }

  .lower-section .text-content {
    padding: 30px 15px 10px;
    margin-top: 30px;
  }

  .lower-section h5 {
    font-size: 22px;
    margin: 30px 0 15px;
  }

  .middle_wrap {
    padding-bottom: 80px;
  }

  .product-wrap .filter-btn {
    padding: 6px 14px;
  }

  .product-wrap .before-shop-loop .container {
    margin-bottom: 50px;
  }

  .product-wrap .middle_wrap {
    padding-bottom: 80px;
  }

  .wc-block-cart__empty-cart__title.with-empty-cart-icon:before {
    display: none !important;
  }

  .wc-block-cart__empty-cart__title.with-empty-cart-icon:after {
    content: '';
    position: absolute;
    width: 100px;
    height: 100px;
    top: 35%;
    left: 50%;
    background-image: url(../static/images/Product_purchase_failure_img.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0.6;
    z-index: -1;
    transform: translate(-50%, 0);
  }
}

@media (max-width: 575px) {
  .product-wrap.wrap2 .wc-block-grid__product {
    margin-bottom: 20px;
  }
}